function createMainLists()
{
	YAHOO.namespace('cms.condweb');
	var listDiv = document.getElementById('mainList');
	if (!listDiv)
	{
		document.writeln('Div not defined');	
		return 0;	
	}	
	var servDiv = document.getElementById('serviceListDiv');
	if (servDiv)
	{	
		var servUl= document.getElementById('serviceList');
		if (servUl)
			servDiv.removeChild(servUl);	
		getListData('service');		
	}
	var prodDiv = document.getElementById('productionListDiv');
	if (prodDiv)
	{
		var prodUl= document.getElementById('productionList');
		if (prodUl)
			prodDiv.removeChild(servUl);
		getListData('production');
	}
	var detDiv = document.getElementById('detectorListDiv');
	if (detDiv)
	{
		var detUl= document.getElementById('detectorList');
		if (detUl)
			detDiv.removeChild(servUl);	
		getListData('detector');
	}	
		
	}
	

var handleSuccess = function(o){
	if(o.responseXML !== undefined){
		var root = o.responseXML.documentElement;
		var type = 	root.getElementsByTagName("type")[0].firstChild.nodeValue;
		var objects = root.getElementsByTagName("obj");
		var listDiv = document.getElementById(type+"ListDiv");
		if (listDiv && objects)
		{
			select = document.createElement("select");
			select.id = type+"List";
			select.name = type+"Sel"; 
			for (i=0; i <objects.length; i++)
			{
				opt = document.createElement("option");
				opt.value = objects[i].firstChild.nodeValue;
				text = document.createTextNode(opt.value);
				opt.appendChild(text);
				select.appendChild(opt);
			}
		}
		listDiv.appendChild(select);
	}
	
}

var handleFailure = function(o){
	window.alert('fail');
	var listDiv = document.getElementById('mainList');
	if(o.responseText !== undefined){
		listDiv.innerHTML = "<li>Transaction id: " + o.tId + "</li>";
		listDiv.innerHTML += "<li>HTTP status: " + o.status + "</li>";
		listDiv.innerHTML += "<li>Status code message: " + o.statusText + "</li>";
	}
}

var callback =
{
  success:handleSuccess,
  failure:handleFailure,
};
function getListData(type)
{
	var url = 'utils/ajaxWraper.php?function=config&type='+type;
	//var url ="http://test-condweb.web.cern.ch/test-condweb/NewCondWeb/utils/ajaxWraper.php?function=config&type=service";
	var request = YAHOO.util.Connect.asyncRequest('GET', url, callback);
	return request;
}

